//+------------------------------------------------------------------+
//|                                                     RSI_LDot.mq4 |
//+------------------------------------------------------------------+
//2008fxtsd ki

#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 DarkTurquoise
#property indicator_color2 Aqua


#property indicator_level1  70
#property indicator_level2  50
#property indicator_level3  30
#property indicator_levelcolor DarkSlateGray

extern int  RSI_Period    = 14;
extern int  RSI_Price     =  0;
extern bool showDots       =  true;

extern string   note_Price = "0C 1O 2H 3L 4Md 5Tp 6WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";

double RsiL[], RsiD[];


//+-----

int init()
{

   SetIndexBuffer (0,RsiL); SetIndexStyle(0,DRAW_LINE);  SetIndexLabel(0,"RSI "+RSI_Period+"");
   SetIndexBuffer (1,RsiD); 
   if (showDots) 
   SetIndexStyle(1,DRAW_ARROW); else SetIndexStyle(1,DRAW_NONE);
   SetIndexArrow(1,158);        SetIndexEmptyValue(1,EMPTY_VALUE);
   SetIndexLabel (1,""); 
   
   IndicatorShortName("RSI_LDot ("+RSI_Period+") ");  

  return(0);
}

//+------

int start()
{
   int counted_bars=IndicatorCounted();
   int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
      limit=Bars-counted_bars;


   for(i=limit;i>=0;i--)

   {
    RsiL[i]= iRSI(NULL,0,RSI_Period,RSI_Price,i); 
    
    RsiD[i]= RsiL[i];
    }

      
  return(0);
}


